REST APIStakeStaking State Information

GET

Retrieve staking information such as delegated balance, rewards accrued, and rewards accrual annual percentage rate.

Path Params

  • coin string enum required
    The staking asset.
    ADAAPTASIKAVACOSMOSATOMAVAXCAVAXPBABYBERABLDBSCBTCCOREDAOCOREUMCRONOSCSPRDOTEIGENETHFLRPHASHINJECTIVEMATICNEAROSMOPOLPOLYXRETH-ROCKETSEISOMISOLSTORYSTXSUISUI:WALTAOTIATONTRXWETHWCTWFLRXDCZETA
  • enterpriseId string required
    The enterprise ID.

Responses

200
Successful Retrieving Staking Information For An Enterprise

Response Body

object

  • enterpriseId string
    The ID of the enterprise where the staking request was created from.
  • coin string
    The staking asset.
  • delegated string
    The delegated staked amount in base units.
  • rewards string
    The reward accrual amount in base units.
  • apy string
    Reward accrual annual percentage rate. Estimated yearly based on the last 7 days. Same methodology as leading beacon chain validator aggregators (e.g. https://beaconcha.in/validators).
  • pendingStake string
    The pending stake amount in base units.
  • pendingUnstake string
    The pending unstake amount in base units.
  • pendingClaimRewards string
    The pending claimable rewards in base units.
  • baseUnit string
    The coin base unit (e.g., wei for ETH).
  • isToken boolean
    True if the staking asset is a token.
  • isTss boolean
    True if the staking wallet uses threshold signatures (TSS).
  • isMultiSig boolean
    True if the staking wallet uses multisig.
  • l1Chain string nullable
    The underlying L1 chain if the staking asset is on a different chain (e.g., ETH for L2 assets).
  • comingSoon boolean
    True if the staking feature for this asset is marked as coming soon.
  • disclaimer object
    Spendable disclaimer attributes for a staking wallet.
    disclaimer object
    • staking object
      Disclaimer information specific to staking.
      staking object
      • stakeWarmupPeriodDesc string nullable
        Optional description of the staking warmup period.
      • rewardPercentageRate string decimal nullable
        Optional reward percentage rate for staking.
      • apyMarginOfError string decimal nullable
        Optional margin of error for the APY rate.
      • rewardsCompounding boolean
        True if rewards are compounded.
      • period object
        Estimation period details for staking.
        period object
        • periodLow string
          Lower bound of the period in seconds or blocks.
        • periodHigh string
          Upper bound of the period in seconds or blocks.
        • coin string
          Coin associated with the period.
        • type string enum
          Type of period (WARMUP, EXIT, COOLDOWN).
          WARMUPEXITCOOLDOWN
      • minStake string
        Minimum amount required to stake.
      • minStakeMore string nullable
        Minimum additional amount to add to an active stake.
      • stakingSubTypes array of objects nullable
        Optional list of staking sub-types with their own disclaimers.
        stakingSubTypes object
        • type string
          Sub-type identifier.
        • name string
          Sub-type display name.
        • info array of strings
          List of disclaimer messages for the sub-type.
        • transactionsNeeded integer
          Number of transactions required for the sub-type.
        • rewardsCompounding boolean
          True if rewards are compounded for this sub-type.
        • period object
          Estimation period details for staking.
          period object
          • Same shape as EstimationPeriodAttributes.
        • minStake string
          Minimum staking amount for this sub-type.
        • minStakeMore string nullable
          Optional minimum additional stake required for this sub-type.
        • url string nullable
          Optional URL for more information about this sub-type.
        • iconName string nullable
          Optional icon name for UI representation.
        • defaultApy string decimal nullable
          Optional default APY for this sub-type.
        • stakeWarmupPeriodDesc string nullable
          Optional description of the staking warmup period for this sub-type.
        • rewardPercentageRate string decimal nullable
          Optional reward percentage rate for this sub-type.
        • apyMarginOfError string decimal nullable
          Optional margin of error for the APY rate for this sub-type.
        • rewardCycle integer nullable
          Optional time in seconds between reward distributions for this staking subtype. When present, this value overrides the base-level nextRewards.rewardCycle for this specific staking method.
      • info array of strings
        List of disclaimer messages.
      • transactionsNeeded integer
        Number of transactions required.
    • unstaking object
      Disclaimer information specific to unstaking.
      unstaking object
      • unStakeCooldownPeriodDesc string nullable
        Optional description of the cooldown period before unstaking.
      • period object
        Estimation period details for staking.
        period object
        • Same shape as EstimationPeriodAttributes.
      • unstakingSubTypes array of objects nullable
        Optional list of unstaking sub-types with their own disclaimers.
        unstakingSubTypes object
        • name string
          Sub-type display name.
        • type string
          Sub-type identifier.
        • maxUnstake string nullable
          Optional maximum unstakeable amount for this sub-type.
        • unStakeCooldownPeriodDesc string nullable
          Optional human-readable description of the cooldown period for this sub-type.
        • period object
          Estimation period details for staking.
          period object
          • Same shape as EstimationPeriodAttributes.
        • url string nullable
          Optional URL for more information about this unstaking sub-type.
        • iconName string nullable
          Optional icon name for UI representation.
        • info array of strings
          List of disclaimer messages.
        • transactionsNeeded integer
          Number of transactions required.
      • info array of strings
        List of disclaimer messages.
      • transactionsNeeded integer
        Number of transactions required.
    • claimRewards object
      Disclaimer information for claiming rewards.
      claimRewards object
      • info array of strings
        List of disclaimer messages.
      • transactionsNeeded integer
        Number of transactions required.
    • nextRewards object
      Information about the next rewards cycle.
      nextRewards object
      • rewardCycle integer
        Time in seconds until the next reward cycle.
    • switchValidator object
      Disclaimer information for switching validators.
      switchValidator object
      • cooldownPeriod string
        Cooldown period as a string (e.g., "24h").
      • info array of strings
        List of disclaimer messages.
      • transactionsNeeded integer
        Number of transactions required.
  • walletCount integer
    The number of wallets with delegations in this enterprise for the given coin.
  • rewardCoin string nullable
    The coin used for rewards (if different from the staked asset).
  • rewardPairs array of objects
    Reward pairs associated with the staking asset.
    rewardPairs object
    • tokenAddress string nullable
      The optional token address.
    • amount string required
      The total amount of the reward pair in base units.
    • activeAmount string required
      The currently active amount in base units.
    • coin string nullable
      The optional coin for this reward pair.
400
Bad Request

Response Body

object

  • error string
  • errorName string
  • reqId string
  • context object
401
Unauthorized

Response Body

object

  • error string
  • errorName string
  • reqId string
  • context object
403
Forbidden

Response Body

object

  • error string
  • errorName string
  • reqId string
  • context object
404
Not Found

Response Body

object

  • error string
  • errorName string
  • reqId string
  • context object
409
Conflict

Response Body

object

  • error string
  • errorName string
  • reqId string
  • context object
500
Server Error - Transient error please try again

Response Body

object

  • error string
  • errorName string
  • reqId string
  • context object